Unlink resource

Unlink one or multiple resources from a view: - Unlink flags using flag keys - Unlink segments using segment IDs - Unlink AI configs using config keys

Authentication

Authorizationstring
API Key authentication via header

Path parameters

projectKeystringRequired
viewKeystringRequired
resourceTypeenumRequired
Allowed values:

Headers

LD-API-VersionenumRequired
Version of the endpoint.
Allowed values:

Request

The resource to link to the view. Flags are identified by key. Segments are identified by segment ID.
ViewLinkRequestKeysobjectRequired
OR
ViewLinkRequestSegmentIdentifiersobjectRequired
OR
ViewLinkRequestFilterobjectRequired

Response

Successful response with unlink details
successCountinteger
The number of resources successfully unlinked.
failureCountinteger
The number of resources that failed to unlink.
failedResourceslist of objects
Details of resources that failed to unlink.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error